## ros-indigo-rail-ceiling 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_ceiling)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS ar_track_alvar_msgs geometry_msgs roscpp roslib tf)
find_package(PkgConfig)

#######################################
## Declare ROS messages and services ##
#######################################

add_message_files(
  FILES
  Obstacle.msg
  Obstacles.msg
)

add_service_files(
  FILES
  GetAllObstacles.srv
)

generate_messages(
  DEPENDENCIES
  geometry_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Check for what version of YAML we have
pkg_check_modules(YAML_CPP yaml-cpp)
if(${YAML_CPP_VERSION} VERSION_GREATER 0.5)
  add_definitions(-DYAMLCPP_GT_0_5_0)
endif()

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDE_DIRS}
)
link_directories(${YAML_CPP_LIBRARY_DIRS})

## Declare a cpp executable
add_executable(calibration src/calibration.cpp)
add_executable(calibration_from_carl src/calibration_from_carl.cpp)
add_executable(furniture_tracker src/furniture_tracker.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(calibration
  ${catkin_LIBRARIES}
)
target_link_libraries(calibration_from_carl
  ${catkin_LIBRARIES}
)
target_link_libraries(furniture_tracker
  ${catkin_LIBRARIES}
  yaml-cpp
)

add_dependencies(furniture_tracker ${PROJECT_NAME}_gencpp)
add_dependencies(calibration ar_track_alvar_msgs_gencpp)
add_dependencies(calibration_from_carl ar_track_alvar_msgs_gencpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS calibration calibration_from_carl furniture_tracker
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy config files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

## Copy rviz files
install(DIRECTORY rviz/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz
)

## Copy urdf files
install(DIRECTORY urdf/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf
)

## Copy marker files
install(DIRECTORY markers/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/markers
)

=== debian/changelog ===
ros-indigo-rail-ceiling (0.0.4-0trusty) trusty; urgency=high

  * adds missing dep
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_ceiling into develop
  * Updated launch for calibration from carl
  * Update .travis.yml
  * Update .travis.yml
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-rail-ceiling (0.0.3-0trusty) trusty; urgency=high

  * old YAML syntax fix 2
  * syntax fix for old YAML versions
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_ceiling into develop
  * Added support for previous YAML versions, removed unused bundles
  * Update .travis.yml
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_ceiling into develop
  * corrected the ratio for the slerp averaging; it was originally backwards
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 04 Dec 2014 05:00:00 -0000

ros-indigo-rail-ceiling (0.0.2-0trusty) trusty; urgency=high

  * Linear interpolation-based method to average quaternions for camera calibration samples
  * topic name update
  * removed some debugging statements
  * CMakeLists install
  * Furniture position adjustment
  * Organization/Documentation
  * Initial positions of furniture can be included in the markers.yaml file, which can be optionally read in when launching the furniture_tracker node
  * Added missing dependency
  * Documentation and cleanup
  * New implementation of furniture tracking for both localization and path planning
  * Merge branch 'develop' of https://github.com/WPI-RAIL/rail_ceiling into develop
  * Started implementing new furniture tracker with YAML config files
  * Update .travis.yml
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-rail-ceiling (0.0.1-0trusty) trusty; urgency=high

  * ceiling launch file added
  * calibration launch file created
  * travis fix
  * launch files added for URDF
  * URDF files added
  * calibration file now written as a URDF
  * rviz config added
  * travis fix
  * calibration of camera 2
  * fix for travis build
  * calibration node now calculates offsets
  * started calibration node
  * markers added
  * added camera calibration files
  * cameras now set exposure via usb_cam
  * camera launch files created
  * Merge pull request #4 from Spkordell/develop
    Added ability to transmit map on service call
  * Fixed merge conflicts
  * Cleaning
  * When loading a map from a file, will publish metadata after loading
  * Removed legs from tables
  * Added ability to transmit map on service call
  * Added rviz configuration
  * Can directly load static map rather than reading it from a topic.
  * Added option to stop publishing maps while driving
  * Fixed transforms
  * Added more cameras to launch
  * Fixed transform from map to ceiling
  * cleanup
  * Fixed includes to use new ar_track_alvar_msgs package
  * Merge pull request #1 from Spkordell/develop
    Created Rail Ceiling Package
  * Camera transform adjustements
  * Added bundle for black table
  * Fixed camera frames.
  * Update camera transforms
  * Added support for unfilled polygons
  * Merge branch 'develop' of https://github.com/Spkordell/rail_ceiling into develop
  * Localization map will not be published if the robot is navigating
  * robot ar tracker fixes
  * Bundle adjustements
  * Cleaning
  * Added xml option to specify whether or not a particular obstacle should be kept on the map when occluded.
  * Behavior change. When an object is completely occluded, it's last known location will continue to appear on the map.
  * Tagged vertical surfaces
  * Merge branch 'develop' of https://github.com/Spkordell/rail_ceiling into develop
  * Cleaner startup
  * Added launch file for ar_tracking from robot
  * Added attribute for copying footprints from existing layers to reduce xml bundle complexity
  * Bundle fixes
  * bundle fixes
  * Moved transform exception try-catch
  * Optimizations
  * Created urdf for environment
  * refactoring
  * Fixed memory leak
  * Cleanind and doxygen
  * Doxygen
  * Transforming marker poses to odometry frame for rolling maps
  * Added null checks
  * Cleaning
  * Cleaning
  * When multiple cameras see the same marker, now selecting the marker which is closest to the camera.
  * Adding markers from multiple cameras to the list of markers
  * Can subscribe to multiple ar_marker topics
  * ar_track_alvar does not publish transforms to markers in their own namespaces, so switching to using pose data for multicamera support
  * Different map types can be published at different rates
  * Parameterization
  * Merge branch 'dev-layer' of https://github.com/Spkordell/rail_ceiling into dev-layer
  * Parameterized map_topic
  * Rolling map is published with respect to odometry frame
  * Parameter for costmap differentiation
  * Added support for rolling maps
  * Cleaning
  * Brought bundles up to spec
  * Footprints can consist of multiple polygons
  * static map data added to localization layers
  * Multiple footprint layers work
  * Publishing a map for each layer
  * Publishing a map for each layer
  * Parsing bundle layers
  * Renamed launch files
  * Added bundles
  * Fixed issue with obstacle overlap.
  * Cleaning
  * Cleaning
  * Accounting for additional marker yaw
  * Optimizations
  * Cleaning
  * Alignment improvements.
  * Change bounding box dimensions
  * Change bounding box dimensions
  * Can rotate about noncenter point
  * Can rotate about noncenter point
  * Added obstacle to map
  * Merging new and old methodologies
  * Fixing alignment issues
  * matrix correctly sizes to fit polygon
  * Conversion of polygonal footprints to occupancy grid
  * Began parsing arbitrary bundle footprint polygons
  * chair
  * Added chair bundle
  * Allignment improvements
  * Fixed loop rate interfering with marker id.
  * Fixed overwriting problem
  * Output map now updates at a specified rate


=== debian/control ===
Source: ros-indigo-rail-ceiling
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, pkg-config, ros-indigo-ar-track-alvar-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf
Homepage: http://ros.org/wiki/rail_ceiling
Standards-Version: 3.9.2

Package: ros-indigo-rail-ceiling
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-indigo-ar-track-alvar, ros-indigo-ar-track-alvar-msgs, ros-indigo-geometry-msgs, ros-indigo-image-view, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-tf, ros-indigo-usb-cam, ros-indigo-xacro
Description: Overhead Camera System for Tracking AR Tags

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rail-ceiling//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
